## org.springframework.context
Interface Phased

All Known Subinterfaces:
  SmartLifecycle

All Known Implementing Classes:
  AbstractJmsListeningContainer, AbstractMessageListenerContainer, AbstractPollingMessageListenerContainer, DefaultMessageListenerContainer, DefaultMessageListenerContainer102, GenericMessageEndpointManager, JmsMessageEndpointManager, SchedulerFactoryBean, SimpleMessageListenerContainer, SimpleMessageListenerContainer102

    public interface Phased

Interface for objects that may participate in a phased process such as lifecycle management.

Since:
  3.0
Author:
  Mark Fisher
See Also:
  `SmartLifecycle`

Method Summary
`int` `getPhase()` Return the phase value of this object.

Method Detail

### getPhase

    int getPhase()

  Return the phase value of this object.